Skip to main content
GET
/
ens
/
v2
/
profile
/
{name}
Resolve a full ENS profile in a single RPC call
curl --request GET \
  --url https://api.resolvio.xyz/ens/v2/profile/{name}
import requests

url = "https://api.resolvio.xyz/ens/v2/profile/{name}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.resolvio.xyz/ens/v2/profile/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "artii.eth",
  "texts": [
    {
      "key": "avatar",
      "exists": true,
      "value": "https://example.com/avatar.jpg"
    }
  ],
  "addresses": [
    {
      "coin": 60,
      "exists": true,
      "chain": "eth",
      "value": "0x179A862703a4adfb29896552DF9e307980D19285"
    }
  ],
  "contenthash": {
    "exists": true,
    "value": "ipfs://bafybeifx7yeb55armcsxwwitkymga5xf53dxiarykms3ygqic223w5sk3m"
  },
  "resolver": "0x231b0Ee14048e9dCcD1d247744d114a4EB5E8E63"
}
Retrieve comprehensive profile information for an ENS name, including addresses, text records, and content hash.

Path Parameters

name
string
required

ENS name to resolve

Required string length: 6 - 256
Example:

"artii.eth"

Query Parameters

noCache
boolean
default:false

Skip cache and fetch fresh data

contenthash
boolean

Include content hash (default: false)

Response

name
string
required
Example:

"artii.eth"

texts
object[]
required
addresses
object[]
required
contenthash
object
required
resolver
string
Example:

"0x231b0Ee14048e9dCcD1d247744d114a4EB5E8E63"